export declare namespace ContainDS {
    /**
     * Dashboard interface
     */
    interface IDashboard {
        /**
         * Dashboard name
         */
        name: string;
        /**
         * URL to launch the dashboard
         */
        url: string;
        /**
         * Dashboard description
         */
        description: string;
        /**
         * Dashboard file
         */
        path: string;
        /**
         * Dashboard author
         */
        username: string;
    }
    /**
     * Dashboard available for the user
     */
    interface IDashboards {
        /**
         * Owned dashboards
         */
        _owned: IDashboard[];
        /**
         * Shared dashboards grouped by authors
         */
        [key: string]: IDashboard[];
    }
}
/**
 * Call the hub API
 *
 * @param endPoint API REST end point
 * @param init Initial values for the request
 * @returns The response body interpreted as JSON
 */
export declare function requestAPI<T>(endPoint: string, init?: RequestInit): Promise<T>;
//# sourceMappingURL=request.d.ts.map