import { DOMWidgetModel, ISerializers } from '@jupyter-widgets/base';
/**
 * User model
 */
export declare class UserModel extends DOMWidgetModel {
    defaults(): any;
    /**
     * Constructor
     *
     * Initializes a WidgetModel instance. Called by the Backbone constructor.
     *
     * Parameters
     * ----------
     * widget_manager : WidgetManager instance
     * model_id : string
     *      An ID unique to this model.
     * comm : Comm instance (optional)
     */
    initialize(attributes: Backbone.ObjectHash, options: {
        model_id: string;
        comm?: any;
        widget_manager: any;
    }): void;
    static serializers: ISerializers;
    static model_name: string;
    static model_module: any;
    static model_module_version: any;
    static view_name: string | null;
    static view_module: string | null;
    static view_module_version: string;
}
//# sourceMappingURL=widget.d.ts.map